URL structure
{objectId} is the ID of a Secure Object.
Supported methods and overview
GET- used to download a Secure Object’s encrypted read-only view data from storage via the Covata Platform’s Content Service.PUT- used to regenerate a Secure Object’s read-only view (based on the Secure Object’s actual data) which is also stored and managed by the Content Service.
The
PUT method take no parameters.Detailed description
This API endpoint serves a number of purposes, all of which are managed by the Covata Platform’s Content Service:- Downloads a Secure Object’s encrypted read-only view data from storage.
Note: The key required to decrypt this read-only view can be obtained by calling the <access-service>/api/v1/objects/{objectId}/keys/view API endpoint. - Regenerates a Secure Object’s read-only view (based on the Secure Object’s actual data) in storage.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide), conditions and permissions (where applicable):- Originator - a Covata user with this role can call the
GETandPUTmethods on a Secure Object they own. - Originator, Collaborator and Ad hoc - a Covata user with any of these roles can call the
GETmethod for a Secure Object they are a collaborator on (with the View permission).
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Optional parameters
The following optional parameter can be sent in the URL of the GET request:-
encoding - Specify the value
base64to download the encrypted view as Base64-encoded data. Otherwise, omit this parameter to download the encrypted view as raw/binary data. In both cases, theContent-Typein the response isapplication/octet-stream. Example:
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
